/*
 *        Name: SENDMAIL REXX
 *              Pass the RC 822 conformant text stream to the MAILER.
 *      Author: Rick Troth, Rice University, Information Systems
 *        Date: 1993-Nov-05
 */
 
mailer = "MAILER"
device = "PRINT"
 
'PEEKTO'
If rc ^= 0 Then Exit rc * (rc ^= 12)
 
Address "COMMAND" 'GETFMADR'
If rc ^= 0 Then Exit rc
Parse Pull . . va .
 
Select  /*  device  */
    When Abbrev("PUNCH",device) Then opcode = "x41"
    When Abbrev("VAFP",device) | Abbrev("AFP",device) Then Do
        device = "PRT"
        opcode = "x5A"
        End  /*  When  ..  Do  */
    When Abbrev("PRINT",device) Then opcode = "x09"
    End  /*  Select  device  */
 
Parse Value Diagrc(08,'DEFINE' device va) With 1 rc 10 . 17 rs '15'x .
If rc ^= 0 Then Do
    Say rs
    Exit rc
    End  /*  If  ..  Do  */
 
Parse Value Diagrc(08,'SPOOL' va 'TO' mailer 'CLASS M FORM QU-MAIL') ,
    With 1 rc 10 . 17 rs '15'x .
If rc ^= 0 Then Do
    Say rs
    Exit rc
    End  /*  If  ..  Do  */
 
Parse Value Diag(08,'SPOOL' va 'NOMSG') With .
 
'CALLPIPE *: | SPEC' opcode '1 1-* NEXT | URO' va
If rc ^= 0 Then Exit rc
 
Parse Value Diag(08,'CLOSE' va 'NAME' Userid() 'MAIL') With .
Parse Value Diag(08,'DETACH' va) With .
 
Exit
 
